package com.heyu.api.data.entity.ota;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.lz.mybatis.plugin.annotations.AS;

import java.math.BigDecimal;
import java.util.Date;import java.util.Date;
/**
*OTA升级记录
* @author quyixiao
* @since 2025-03-04
*/

@Data
@TableName("ota_record")
public class OtaRecordEntity implements java.io.Serializable {
private static final long serialVersionUID = 1L;

    public final static String CLASS_NAME ="com.heyu.api.data.entity.ota.OtaRecordEntity:";

    public final static String all = CLASS_NAME + "*";
    public final static String id_ = CLASS_NAME + "id";                     // 
    public final static String is_delete = CLASS_NAME + "is_delete";        // 是否删除：0 否 1 删除
    public final static String create_time = CLASS_NAME + "create_time";    // 创建时间
    public final static String modify_time = CLASS_NAME + "modify_time";    // 修改时间
    public final static String device_id = CLASS_NAME + "device_id";        // 设备id
    public final static String user_id = CLASS_NAME + "user_id";            // 升级时用户id
    public final static String ota_id = CLASS_NAME + "ota_id";              // ota信息id
    public final static String ota_type = CLASS_NAME + "ota_type";          // 升级类型：0 用户手动 1 自动升级 2 强制升级
    public final static String finish_time = CLASS_NAME + "finish_time";    // 升级完成时间
    //
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    //是否删除：0 否 1 删除
    private Integer isDelete;
    //创建时间
    private Date createTime;
    //修改时间
    private Date modifyTime;
    //设备id
    private Long deviceId;
    //升级时用户id
    private Long userId;
    //ota信息id
    private Long otaId;
    //升级类型：0 用户手动 1 自动升级 2 强制升级
    private Integer otaType;
    //升级完成时间
    private Date finishTime;
    /**
     *  
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *  
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 是否删除：0 否 1 删除 
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     * 是否删除：0 否 1 删除 
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     * 创建时间 
     * @return
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     * 创建时间 
     * @param createTime
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改时间 
     * @return
     */
    public Date getModifyTime() {
        return modifyTime;
    }
    /**
     * 修改时间 
     * @param modifyTime
     */
    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    /**
     * 设备id 
     * @return
     */
    public Long getDeviceId() {
        return deviceId;
    }
    /**
     * 设备id 
     * @param deviceId
     */
    public void setDeviceId(Long deviceId) {
        this.deviceId = deviceId;
    }

    /**
     * 升级时用户id 
     * @return
     */
    public Long getUserId() {
        return userId;
    }
    /**
     * 升级时用户id 
     * @param userId
     */
    public void setUserId(Long userId) {
        this.userId = userId;
    }

    /**
     * ota信息id 
     * @return
     */
    public Long getOtaId() {
        return otaId;
    }
    /**
     * ota信息id 
     * @param otaId
     */
    public void setOtaId(Long otaId) {
        this.otaId = otaId;
    }

    /**
     * 升级类型：0 用户手动 1 自动升级 2 强制升级 
     * @return
     */
    public Integer getOtaType() {
        return otaType;
    }
    /**
     * 升级类型：0 用户手动 1 自动升级 2 强制升级 
     * @param otaType
     */
    public void setOtaType(Integer otaType) {
        this.otaType = otaType;
    }

    /**
     * 升级完成时间 
     * @return
     */
    public Date getFinishTime() {
        return finishTime;
    }
    /**
     * 升级完成时间 
     * @param finishTime
     */
    public void setFinishTime(Date finishTime) {
        this.finishTime = finishTime;
    }

    @Override
    public String toString() {
        return "OtaRecordEntity{" +
                ",id=" + id +
                ",isDelete=" + isDelete +
                ",createTime=" + createTime +
                ",modifyTime=" + modifyTime +
                ",deviceId=" + deviceId +
                ",userId=" + userId +
                ",otaId=" + otaId +
                ",otaType=" + otaType +
                ",finishTime=" + finishTime +
                "}";
    }
}